Opened 10 years ago

Closed 10 years ago

#533 closed defect (invalid)

ASDF-INSTALL package is not supplied with ASDF.

Reported by: vy Owned by: rme
Priority: normal Milestone: Clozure CL 1.4
Component: other Version: 1.3
Keywords: ASDF, ASDF-INSTALL Cc:

Description

Despite advertised as in HintsForAsdfAndOpenmcl, (find-package 'asdf-install) still returns NIL even after a (require 'asdf) call.

In #ccl@…, Gary Byers told that http://trac.clozure.com/openmcl/changeset/4703 clobbered ASDF/REQUIRE interoperability.

Change History (2)

comment:1 Changed 10 years ago by rme

  • Owner set to rme
  • Status changed from new to assigned

I don't understand what the bug here is.

(require 'asdf) loads only asdf. The HintsForAsdfAndOpenmcl topic describes how to configure asdf so that it can find the system definition file for asdf-install, which is then loaded via the usual way, i.e., with (asdf:oos 'asdf:load-op :asdf-install).

Does asdf/require interoperability mean that require should be extended to load an asdf system? For example, you'd like (require 'foo) to mean (asdf:oos 'asdf:load-op :foo)?

comment:2 Changed 10 years ago by vy

  • Resolution set to invalid
  • Status changed from assigned to closed

You're right -- (asdf:oos 'asdf:load-op :asdf-install) solves the problem -- may bad. Sorry for the mess.

Note: See TracTickets for help on using tickets.